#!/bin/sh

# Mediaplayer launch script

X -config xorg-1280x768-twin.conf &
sleep 2
export DISPLAY=:0
xset s off
xset -dpms
./smplayer2 jill_multi.lua 2>debug.log
RESULT=$?
killall X
sleep 1

if [ "$RESULT" == "1" ]; then
 clear
 echo Rebooting ...
 reboot
 sleep 5
fi

if [ "$RESULT" == "2" ]; then
 clear
 echo Shutting down ...
 poweroff
 sleep 5
fi
