#!/bin/sh

echo "Copy video files from USB to harddrive ..."


MATCH=$1*.mov
echo "Copying files matching: $MATCH"

# Get working directory
D=`pwd`

# Make mount dir
umount /mnt/usbdrive >/dev/null 2>/dev/null
mkdir /mnt/usbdrive >/dev/null 2>/dev/null

# Show files and sizes
mount -t hfsplus /dev/sdc1 /mnt/usbdrive 2>/dev/null
cd /mnt/usbdrive
du -hc $MATCH
cd $D
umount /mnt/usbdrive >/dev/null 2>/dev/null

# pause
echo "Press Enter to continue Ctrl+C to abort:"
read DUMMY

# file copy
echo "Mounting USB drive ..."
mount -t hfsplus /dev/sdc1 /mnt/usbdrive

echo "Copying files (ignore attribute errors) ..."
cp -v --force /mnt/usbdrive/$MATCH /video 2>copy.log

echo "Unmounting USB drive ..."
umount /mnt/usbdrive

